%define	name	ldapdns
%define	ver	2.04
#%define subver	0
%define	release	1mdk

Summary:	DNS server that pulls data from an LDAP directory
Name:		%{name}
#Version:	%{ver}_%{subver}
Version:	%{ver}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.nimh.org/
%if %{subver}
Source0:	%{name}-%{ver}-%{subver}.tar.bz2
%else
Source0:	%{name}-%{ver}.tar.bz2
%endif
Source1:	%{name}-init.bz2
Source2:	%{name}-syscfg.bz2
Source3:	%{name}-ldif.bz2
Source4:	%{name}.conf.bz2
Requires:	openldap openssl
Provides:	dnsserver
Conflicts:	bind maradns mydns
PreReq:		rpm-helper
BuildRequires:	libsasl2-devel libldap2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
LDAPDNS is a ultra-fast, stable, multithreaded DNS server that
pulls data from an LDAP directory. It supports RFC1279 
(bind-style), Microsoft Active Directory, and it's own directory
layouts.

#%package admin
#Summary:	Administrative utilities for ldapdns
#Group:		System/Servers
#Requires:	perl-Crypt-SSLeay
#Requires:	perl-ldap
#Prereq:		ldapdns = %{version}
#
#%description admin
#This package contains administrative utilities for ldapdns written
#in perl.

%prep
%if %{subver}
%setup -q -n %{name}-%{ver}-%{subver}
%else
%setup -q -n %{name}-%{ver}
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

RUN_USER=root FORCE_INITRC=1 NO_DAEMONTOOLS=1 NO_TCPSERVERS=1 \
  INITRC=1 bin=sbin DESTDIR=%{buildroot} prefix=%{_prefix} ./install.sh

install -d %{buildroot}%{_initrddir}
bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/ldapdns
chmod 755 %{buildroot}%{_initrddir}/ldapdns

bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/sysconfig/ldapdns
chmod 644 %{buildroot}%{_sysconfdir}/sysconfig/ldapdns

bzcat %{SOURCE4} > %{buildroot}%{_sysconfdir}/ldapdns.conf
chmod 644 %{buildroot}%{_sysconfdir}/ldapdns.conf

bzcat %{SOURCE3} > ldapdns-sample.ldif

touch %{buildroot}%{_var}/lib/ldapdns/password

# Remove installed but not packaged files
rm -rf %{buildroot}/etc/init.d

# install the admin stuff... (djb stuff...)
install -d %{buildroot}%{_datadir}/ldapdns
install -m755 admin/* %{buildroot}%{_datadir}/ldapdns/
install -m755 ldapaxfr-conf %{buildroot}%{_datadir}/ldapdns/
install -m755 ldapdns-conf %{buildroot}%{_datadir}/ldapdns/

%pre
%_pre_useradd ldapdns /var/lib/ldapdns /bin/false

%post
RUN_UID=`id -u ldapdns`
RUN_GID=`id -g ldapdns`
perl -pi -e "s|^RUN_UID=.*|RUN_UID=$RUN_UID|g" %{_sysconfdir}/ldapdns.conf
perl -pi -e "s|^RUN_GID=.*|RUN_GID=$RUN_GID|g" %{_sysconfdir}/ldapdns.conf
%_post_service ldapdns

%preun
%_preun_service ldapdns

%postun
%_postun_userdel ldapdns

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG FAQ INSTALL MANIFEST TODO VERSIONS ldapdns-sample.ldif
%doc README README.axfr README.comparison README.configure README.generic-rr 
%doc README.how-can-i-help README.quotes README.search
%attr(0755,root,root) %config(noreplace) %{_initrddir}/ldapdns
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/ldapdns
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ldapdns.conf
%attr(0755,ldapdns,ldapdns) %dir /var/lib/ldapdns
%attr(0400,ldapdns,ldapdns) %config(noreplace) /var/lib/ldapdns/password
%attr(0600,ldapdns,ldapdns) /var/lib/ldapdns/axfr
%attr(0755,root,root) /usr/sbin/ldapdns
%attr(0755,root,root) /usr/sbin/ldapaxfr

#%files admin
#%defattr(-,root,root)
%doc README.admin
%attr(0755,root,root) %{_datadir}/ldapdns/add_basic_zone
%attr(0755,root,root) %{_datadir}/ldapdns/add_generic_record
%attr(0755,root,root) %{_datadir}/ldapdns/add_sub_alias
%attr(0755,root,root) %{_datadir}/ldapdns/add_sub_host
%attr(0755,root,root) %{_datadir}/ldapdns/add_sub_mx
%attr(0755,root,root) %{_datadir}/ldapdns/config.pl
%attr(0755,root,root) %{_datadir}/ldapdns/dhcp_names
%attr(0755,root,root) %{_datadir}/ldapdns/samba_names
%attr(0755,root,root) %{_datadir}/ldapdns/secondary_zone
%attr(0755,root,root) %{_datadir}/ldapdns/set_generic_record
%attr(0755,root,root) %{_datadir}/ldapdns/set_ip_pointer
%attr(0755,root,root) %{_datadir}/ldapdns/set_sub_alias
%attr(0755,root,root) %{_datadir}/ldapdns/set_sub_host
%attr(0755,root,root) %{_datadir}/ldapdns/set_sub_mx
%attr(0755,root,root) %{_datadir}/ldapdns/set_txt
%attr(0755,root,root) %{_datadir}/ldapdns/transfer_zone
%attr(0755,root,root) %{_datadir}/ldapdns/unset_ip_pointer
%attr(0755,root,root) %{_datadir}/ldapdns/ldapaxfr-conf
%attr(0755,root,root) %{_datadir}/ldapdns/ldapdns-conf

%changelog
* Fri Jul 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.04-1mdk
- 2.04

* Fri Jul 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.00_9-5mdk
- rebuild

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.00_9-4mdk
- build release

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.00_9-3mdk
- could have added the admin subpackage, but then it would have required
  daemontools by DJB which is not shipped... this is a comprimize

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.00_9-2mdk
- argh!!! remove P0
- add ldapdns uid/gid in %%post to %{_sysconfdir}/ldapdns.conf instead

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.00_9-1mdk
- initial cooker contrib
- mandrakified the src.rpm by Simon Matter
- bzipped all sources
- fixed S1 & S2

* Wed Nov 27 2002 Simon Matter <simon.matter@invoca.ch>
- upgraded to 2.00-9

* Sat Oct 12 2002 Simon Matter <simon.matter@invoca.ch>
- upgraded to 2.00-8

* Fri Oct 11 2002 Simon Matter <simon.matter@invoca.ch>
- added syslog patch

* Thu Oct 10 2002 Simon Matter <simon.matter@invoca.ch>
- fixed RedHat 8.0 build issue

* Fri Jul 05 2002 Simon Matter <simix@datacomm.ch>
- upgraded to 2.00-5

* Thu Jul 04 2002 Simon Matter <simix@datacomm.ch>
- upgraded to 2.00-3, then to 2.00-4

* Tue Jul 02 2002 Simon Matter <simix@datacomm.ch>
- added new init script, various fixes

* Mon Jul 01 2002 Simon Matter <simix@datacomm.ch>
- upgrade to 2.00

* Fri Jun 28 2002 Simon Matter <simix@datacomm.ch>
- initial package based on the original from ldapdns

